#!/bin/bash -e
#
# Installs and configures Nginx RTMP module.
#
###############################################################################

set -o pipefail

###############################################################################

hash rm
hash git
hash sudo
hash pacman
hash makepkg

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Cloning Nginx RTMP...                                                -"
echo "------------------------------------------------------------------------"

git clone "https://aur.archlinux.org/nginx-mod-rtmp.git"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Making Package...                                                    -"
echo "------------------------------------------------------------------------"

cd nginx-mod-rtmp
makepkg --syncdeps --install --noconfirm
cd ..

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Removing Build Files...                                              -"
echo "------------------------------------------------------------------------"

rm nginx-mod-rtmp -rfv

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
